# $Revision: 1.265 $, $Date: 2008-04-20 21:45:36 $
# TODO:
# - check spec-syntax,mo patches
# - update ancient X11_WWW (or drop if it's no longer used)
#
# Conditional build:
%bcond_with	ext2undel	# with ext2 undelete fs
%bcond_without	perl_vfs	# without perl depending vfs'es -- to avoid perl autoreq
%bcond_with	samba		# with SAMBA vfs support
%bcond_without	x		# without text edit in X support
%bcond_without	utf8		# utf8
#
%define	snap	pre1
Summary:	A user-friendly file manager and visual shell
Summary(de.UTF-8):	Visuelle Shell Midnight Commander
Summary(es.UTF-8):	Interpretador de comandos visual Midnight Commander
Summary(fr.UTF-8):	Un gestionnaire de fichiers puissant et agréable en mode console
Summary(ja.UTF-8):	使いやすいファイルマネージャとビジュアルシェル
Summary(pl.UTF-8):	Midnight Commander - powłoka wizualna
Summary(pt_BR.UTF-8):	Interpretador de comandos visual Midnight Commander
Summary(ru.UTF-8):	Диспетчер файлов Midnight Commander
Summary(tr.UTF-8):	Midnight Commander görsel kabuğu
Summary(uk.UTF-8):	Диспетчер файлів Midnight Commander
Summary(zh_CN.UTF-8):	一个方便实用的文件管理器和虚拟Shell
Name:		mc
Version:	4.6.2
Release:	0.%{snap}.1
License:	GPL v2+
Group:		Applications/Shells
Source0:	ftp://ftp.gnu.org/gnu/mc/%{name}-%{version}-%{snap}.tar.gz
# Source0-md5:	7626c446f016b09fd1210f00b9d0c292
Source1:	%{name}serv.pamd
Source2:	%{name}serv.init
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	17d7b574e1b85ad6f8ddceda9e841f19
Source6:	%{name}serv.sysconfig
Source7:	%{name}.desktop
Source8:	%{name}.png
Patch0:		%{name}-rpmfs.patch
Patch1:		%{name}-spec-syntax.patch
Patch2:		%{name}-urar.patch
Patch3:		%{name}-srpm.patch
Patch4:		%{name}-home_etc2.patch
Patch5:		%{name}-pl.patch
Patch8:		%{name}-mc.ext.patch
Patch10:	%{name}-localenames.patch
Patch11:	%{name}-noperl-vfs.patch
# at now syntax highligthing for PLD-update-TODO and CVSROOT/users
Patch12:	%{name}-pld-developerfriendly.patch
# http://www.suse.de/~nadvornik/mc.html
Patch13:	%{name}-utf8.patch
Patch14:	%{name}-vhdl-syntax.patch
Patch15:	%{name}-ipv6.patch
Patch16:	%{name}-refresh.patch
Patch17:	%{name}-nolibs.patch
Patch21:	%{name}-userhost.patch
Patch22:	%{name}-utf8-look-and-feel.patch
Patch23:	%{name}-utf8-8bit-hex.patch
Patch24:	%{name}-find_options.patch
URL:		http://www.ibiblio.org/mc/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	indent
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
%if %{with utf8}
BuildRequires:	slang-devel >= 1:2.0.0
%endif
%ifnarch s390 s390x
BuildRequires:	gpm-devel
%endif
# Needed? %%{?with_perl_vfs:Requires:	perl-base}
%{?with_x:BuildRequires:	xorg-lib-libX11-devel}
%{?with_ext2undel:BuildRequires:	e2fsprogs-devel}
Requires:	file
Requires:	pam >= 0.77.3
Requires:	sed
Requires:	setup >= 2.4.6-2
Suggests:	bzip2
Suggests:	gzip
Suggests:	lynx
Suggests:	p7zip-standalone
Suggests:	tar
Suggests:	unzip
Obsoletes:	tkmc
Conflicts:	bash < 2.05b
Conflicts:	rpm < 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	 -fomit-frame-pointer

%description
Midnight Commander is a visual shell much like a file manager, only
with way more features. It is text mode, but also includes mouse
support if you are running GPM. Its coolest feature is the ability to
FTP, view tar, zip files, and poke into RPMs for specific files. :-)

%description -l de.UTF-8
Midnight Commander ist ein Visual-Shell, ähnlich einem Dateimanager,
aber mit zusätzlichen Funktionen. Es läuft im Textmodus, kann jedoch
eine Maus unterstützen, wenn GPM betrieben wird. Seine coolsten
Fähigkeiten sind die FTP-Option, das Einsehen von tar- und zip-Dateien
und das Herausfischen von spezifischen Dateien aus RPMs.

%description -l es.UTF-8
Midnight Commander es un interpretador de comandos visual que más
parece un administrador de archivos, solamente con varias
características a más. Es un programa en modo texto, pero incluye
soporte para ratón, si estuviera ejecutando GPM o en una ventana
xterm. Su característica más genial es la habilidad de cotillear en
RPMs buscando archivos específicos. :-)

%description -l fr.UTF-8
Midnight Commander est une interface pour la ligne de commande qui
tient beaucoup du gestionnaire de fichiers, mais est bien plus
puissant. Il fonctionne en mode console (texte), mais peut être
contrôlé à la souris si GPM est présent. Ses caractéristiques les plus
remarquables sont la possibilité de se connecter à un serveur FTP, de
visualiser des archives tar, de compresser des fichiers avec zip, de
récupérer des fichiers dans les packages RPM, et tout ceci simplement.

%description -l ja.UTF-8
Midnight Commander はいろいろな機能を持ったファイルマネージャ兼
ビジュアルシェルです。これはテキストモードのアプリケーションですが、
GPM を使っている場合、マウスが使えます。 Midnight Commander には、 FTP
に接続できたり、 tar や zip や RPM の中が見えるなど、クールな機能
があります。

%description -l pl.UTF-8
Midnight Commander jest wizualną powłoką podobną do Norton Commandera.
Pracuje w trybie tekstowym, ale ma także obsługę myszki. Jest super ;)
MC ma wbudowanego klienta FTP, może zaglądać do skompresowanych
archiwów tar i zip, a także oglądać pliki w pakietach RPM.

%description -l pt_BR.UTF-8
Midnight Commander é um interpretador de comandos visual que mais
parece um gerenciador de arquivos, somente com várias características
a mais. Ele é um programa de modo texto, mas inclui suporte para mouse
se você estiver rodando GPM ou em uma janela xterm. Sua característica
mais legal é a habilidade de bisbilhotar em RPMs procurando arquivos
específicos. :-)

%description -l tr.UTF-8
Midnight Commander bir dosya yöneticisine çok benzeyen ancak daha
yetenekli bir görsel kabuktur. Metin ekranda çalışır ve GPM
çalışıyorsa fare desteği vardır. En hoş özellikleri FTP yapabilmesi,
tar, zip ve RPM dosyalarının içeriklerini gösterebilmesidir.

%package -n mcserv
Summary:	Server for the Midnight Commander network file management system
Summary(de.UTF-8):	Midnight Commander File-Server
Summary(es.UTF-8):	Servidor de archivos del Midnight Commander
Summary(fr.UTF-8):	Serveur réseau pour le gestionnaire de fichiers Midnight Commander
Summary(ja.UTF-8):	Midnight Commander でネットワークファイルマネージメントを行うサーバ
Summary(pl.UTF-8):	Serwer plików Midnight Commandera
Summary(pt_BR.UTF-8):	Servidor de arquivos do Midnight Commander
Summary(ru.UTF-8):	Midnight Commander файл-сервер
Summary(tr.UTF-8):	Midnight Commander dosya sunucusu
Summary(uk.UTF-8):	Midnight Commander файл-сервер
Summary(zh_CN.UTF-8):	mc 网络文件管理系统的服务器。
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	pam >= 0.99.7.1-1
Requires:	portmap
Requires:	rc-scripts >= 0.4.1.5

%description -n mcserv
The Midnight Commander file management system will allow you to
manipulate the files on a remote machine as if they were local. This
is only possible if the remote machine is running the mcserv server
program. Mcserv provides clients running Midnight Commander with
access to the host's file systems.

%description -n mcserv -l de.UTF-8
mcserv ist das Server-Programm für das Netzwerkdateisystem Midnight
Commander. Es ermöglicht den Zugriff auf das Host-Dateisystem für
Clients, die das Midnight-Dateisystem ausführen (z.Zt. nur Midnight
Commander file manager).

%description -n mcserv -l es.UTF-8
Mcserv es un servidor para el sistema de archivos en red del Midnight
Commander. Permite que clientes usando el mc accedan remotamente al
sistema de archivos de la máquina en que está ejecutando.

%description -n mcserv -l fr.UTF-8
Le système de gestion de fichier Midnight Commander vous permet de
manipuler des fichiers sur une machine distante comme si ils étaient
sur votre propre machine. Ceci est possible seulement si la machine
distante possède le programme mcserv et que celui-ci est activé.
Mcserv apporte aux machines clientes qui font tourner Midnight
Commander un accès aux fichiers situés sur l'hôte.

%description -n mcserv -l ja.UTF-8
Midnight Commander
のファイル管理システムは、リモートマシンにあるファイルを
ローカルにあるかのように扱うことができます。この機能は mcserv
プログラムを 実行しているリモートマシンに対してのみ働きます。 Mcserv
は Midnight Commander
クライアントに対して、このホストのファイルシステムを提供します。

%description -n mcserv -l pl.UTF-8
Mcserv jest aplikacją dla sieciowego systemu plików Midnight
Commandera. Pozwala na dostęp do systemu plików dla klienta
pracującego pod MC i używającego jego systemu plików.

%description -n mcserv -l pt_BR.UTF-8
Mcserv é um servidor para o sistema de arquivos em rede do Midnight
Commander. Ele permite que clientes usando o mc acessem remotamente o
sistema de arquivos da máquina em que está rodando.

%description -n mcserv -l ru.UTF-8
mcserv - это серверная программа для сетевой файловой системы Midnight
Commander. Она обеспечивает доступ к удаленной файловой системе
клиентам, поддерживающим файловую систему Midnight Commander (в
настоящее время только собственно Midnight Commander).

%description -n mcserv -l tr.UTF-8
mcserv, Midnight Commander ağ dosya sisteminin sunucu programıdır.
Midnight dosya sistemini çalıştıran istemcilerin sunucu dosya
sistemine erişimini sağlar.

%description -n mcserv -l uk.UTF-8
mcserv - це серверна програма для мережевої файлової системи Midnight
Commander. Вона забезпечує доступ до віддаленої файлової системи
клієнтам, що підтримують файлову систему Midnight Commander (наразі
тільки власне Midnight Commander).

%prep
%setup -q -a3 -n %{name}-%{version}-%{snap}
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp -f vfs/extfs/{rpm,srpm}
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch8 -p1
%patch10 -p1
%{!?with_perl_vfs:%patch11 -p1}
%patch12 -p1
%if %{with utf8}
%patch13 -p1
%endif
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1

%patch21 -p1
%if %{with utf8}
%patch22 -p1
%patch23 -p1
%endif
%patch24 -p1

mv -f po/{no,nb}.po
rm -f po/stamp-po

%if %{with utf8}
# convert files in /lib to UTF-8
cd lib
for i in mc.hint mc.hint.es mc.hint.it mc.hint.nl; do
	iconv -f iso-8859-1 -t utf-8 < ${i} > ${i}.tmp
	mv -f ${i}.tmp ${i}
done

for i in mc.hint.cs mc.hint.hu mc.hint.pl; do
	iconv -f iso-8859-2 -t utf-8 < ${i} > ${i}.tmp
	mv -f ${i}.tmp ${i}
done

for i in mc.hint.sr mc.menu.sr; do
	iconv -f iso-8859-5 -t utf-8 < ${i} > ${i}.tmp
	mv -f ${i}.tmp ${i}
done

iconv -f koi8-r -t utf8 < mc.hint.ru > mc.hint.ru.tmp
mv -f mc.hint.ru.tmp mc.hint.ru
iconv -f koi8-u -t utf8 < mc.hint.uk > mc.hint.uk.tmp
mv -f mc.hint.uk.tmp mc.hint.uk
iconv -f big5 -t utf8 < mc.hint.zh > mc.hint.zh.tmp
mv -f mc.hint.zh.tmp mc.hint.zh
cd ..

# convert man pages in /doc to UTF-8
cd doc

cd ru
for i in mc.1.in xnc.hlp; do
	iconv -f koi8-r -t utf-8 < ${i} > ${i}.tmp
	mv -f ${i}.tmp ${i}
done
cd ..

cd sr
for i in mc.1.in mcserv.8.in xnc.hlp; do
	iconv -f iso-8859-5 -t utf-8 < ${i} > ${i}.tmp
	mv -f ${i}.tmp ${i}
done
cd ..

for d in es it; do
	for i in mc.1.in xnc.hlp; do
		iconv -f iso-8859-3 -t utf-8 < ${d}/${i} > ${d}/${i}.tmp
		mv -f ${d}/${i}.tmp ${d}/${i}
	done
done

for d in hu pl; do
	for i in mc.1.in xnc.hlp; do
		iconv -f iso-8859-2 -t utf-8 < ${d}/${i} > ${d}/${i}.tmp
		mv -f ${d}/${i}.tmp ${d}/${i}
	done
done
cd ..
%endif

rm -f syntax/Syntax.orig
sed -i 's:|hxx|:|hh|hpp|hxx|:' syntax/Syntax

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
X11_WWW="
if [ -f /usr/bin/netscape ]; then
	netscape;
else
	if [ -f /usr/bin/galeon ]; then
		galeon
	else
		if [ -f /usr/bin/mozilla ]; then
			mozilla
		else
			xterm -c lynx
		fi;
	fi;
fi"

%if %{with utf8}
CFLAGS="-DUTF8 %{rpmcflags}"
export CFLAGS
%endif
%configure \
	--enable-charset \
	--with%{!?debug:out}-debug \
	--with%{!?with_ext2undel:out}-ext2undel \
	--with%{!?with_x:out}-x \
	--with-vfs \
	--with-mcfs \
	%{?with_samba:--with-samba} \
	--with-configdir=/etc/samba \
	--with-codepagedir=/etc/samba/codepages \
	--with-gpm-mouse \
	--with-screen=%{?!with_utf8:mc}slang \
	--with-edit

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,pam.d,shrc.d,sysconfig} \
	$RPM_BUILD_ROOT%{_mandir}/man8

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/mcserv.8 $RPM_BUILD_ROOT%{_mandir}/man8

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/mcserv
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/mcserv
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/mcserv
install %{SOURCE7} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE8} $RPM_BUILD_ROOT%{_pixmapsdir}

for a in es pl ; do
	for b in man1 man8 ; do
		install -d $RPM_BUILD_ROOT%{_mandir}/{$a,$a/$b}
		for c in man/$a/$b/* ; do
			install $c $RPM_BUILD_ROOT%{_mandir}/$a/$b
		done
	done
done

install lib/{mc.sh,mc.csh} $RPM_BUILD_ROOT/etc/shrc.d

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n mcserv
/sbin/chkconfig --add mcserv
%service mcserv restart "mcserv daemon"

%preun -n mcserv
if [ "$1" = "0" ]; then
	%service mcserv stop
	/sbin/chkconfig --del mcserv
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc FAQ NEWS README
%attr(755,root,root) %{_bindir}/mc*
%config /etc/shrc.d/*
%attr(755,root,root) %{_libdir}/mc/cons.saver
%dir %{_libdir}/mc

%dir %{_datadir}/mc

%{_datadir}/mc/bin
%{_datadir}/mc/syntax

%{_datadir}/mc/mc.ext
%{_datadir}/mc/cedit*
%{_datadir}/mc/edit.*
%{_datadir}/mc/mc.hlp
%lang(es) %{_datadir}/mc/mc.hlp.es
%lang(hu) %{_datadir}/mc/mc.hlp.hu
%lang(it) %{_datadir}/mc/mc.hlp.it
%lang(pl) %{_datadir}/mc/mc.hlp.pl
%lang(ru) %{_datadir}/mc/mc.hlp.ru
%lang(sr) %{_datadir}/mc/mc.hlp.sr
%{_datadir}/mc/mc.lib
%{_datadir}/mc/mc.menu
%lang(sr) %{_datadir}/mc/mc.menu.sr
%{_datadir}/mc/mc.hint
%lang(cs) %{_datadir}/mc/mc.hint.cs
%lang(es) %{_datadir}/mc/mc.hint.es
%lang(hu) %{_datadir}/mc/mc.hint.hu
%lang(it) %{_datadir}/mc/mc.hint.it
%lang(nl) %{_datadir}/mc/mc.hint.nl
%lang(pl) %{_datadir}/mc/mc.hint.pl
%lang(ru) %{_datadir}/mc/mc.hint.ru
%lang(sr) %{_datadir}/mc/mc.hint.sr
%lang(uk) %{_datadir}/mc/mc.hint.uk
%lang(zh) %{_datadir}/mc/mc.hint.zh

%dir %{_datadir}/mc/extfs
%{_datadir}/mc/extfs/README
%{_datadir}/mc/extfs/extfs.ini
%{_datadir}/mc/extfs/sfs.ini
%if %{with perl_vfs}
%attr(755,root,root) %{_datadir}/mc/extfs/a
%attr(755,root,root) %{_datadir}/mc/extfs/apt
%attr(755,root,root) %{_datadir}/mc/extfs/deb*
%attr(755,root,root) %{_datadir}/mc/extfs/dpkg
#%attr(755,root,root) %{_datadir}/mc/extfs/ftplist
%attr(755,root,root) %{_datadir}/mc/extfs/mailfs
%attr(755,root,root) %{_datadir}/mc/extfs/patchfs
%attr(755,root,root) %{_datadir}/mc/extfs/rpms
#%attr(755,root,root) %{_datadir}/mc/extfs/ucpio
%attr(755,root,root) %{_datadir}/mc/extfs/uzip
%endif
%attr(755,root,root) %{_datadir}/mc/extfs/audio
%attr(755,root,root) %{_datadir}/mc/extfs/bpp
%attr(755,root,root) %{_datadir}/mc/extfs/hp48
%attr(755,root,root) %{_datadir}/mc/extfs/iso9660
%attr(755,root,root) %{_datadir}/mc/extfs/lslR
%attr(755,root,root) %{_datadir}/mc/extfs/rpm
%attr(755,root,root) %{_datadir}/mc/extfs/trpm
%attr(755,root,root) %{_datadir}/mc/extfs/u7z
%attr(755,root,root) %{_datadir}/mc/extfs/ualz
%attr(755,root,root) %{_datadir}/mc/extfs/uar*
%attr(755,root,root) %{_datadir}/mc/extfs/uha
%attr(755,root,root) %{_datadir}/mc/extfs/ulha
%attr(755,root,root) %{_datadir}/mc/extfs/urar
%attr(755,root,root) %{_datadir}/mc/extfs/uzoo
%attr(755,root,root) %{_datadir}/mc/extfs/srpm
%{_desktopdir}/mc.desktop
%{_pixmapsdir}/mc.png

%{_datadir}/mc/mc.charsets

%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sr) %{_mandir}/sr/man1/*

%files -n mcserv
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/*

%attr(754,root,root) /etc/rc.d/init.d/mcserv
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mcserv
%{_mandir}/man8/mcserv.8*
%lang(es) %{_mandir}/es/man8/mcserv.8*
%lang(pl) %{_mandir}/pl/man8/mcserv.8*
%lang(sr) %{_mandir}/sr/man8/mcserv.8*
%attr(755,root,root) %{_sbindir}/mcserv

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mc.spec,v $
Revision 1.265  2008-04-20 21:45:36  prism
- suggest p7zip-standalone (for 7z VFS)

Revision 1.264  2008-04-16 19:02:33  arekm
- drop one todo item; file view works now; edit of course doesn't

Revision 1.263  2008-04-16 18:02:23  arekm
- up to 4.6.2 pre1

Revision 1.262  2008-04-09 16:48:44  hawk
- make "regular expression" and "case sensitive" file find options disabled
  by default (just like in mc 4.6.1)

Revision 1.261  2007-12-14 21:04:15  arvenil
- added support for Suggests in mc-spec-syntax.patch
- rel .2

Revision 1.260  2007-12-03 20:59:07  blues
- few suggested apps for mc

Revision 1.259  2007/09/11 19:21:10  qboosh
- UTF-8 patch still broken

Revision 1.258  2007/09/11 19:19:17  qboosh
- updated pl patch (+changed date format to use standard Arabic numers which fit on screen)

Revision 1.257  2007/09/10 17:35:18  arekm
- ipv6, refresh patches from fedora; utf8 patch updated

Revision 1.256  2007/09/10 17:18:14  arekm
- up to 2007.06.23.14

Revision 1.255  2007/04/26 22:27:16  baggins
- R: rc-scripts >= 0.4.1.5

Revision 1.254  2007/03/29 16:08:31  baggins
- rel 3
- fixed rpmfs

Revision 1.253  2007/03/28 17:13:56  baggins
- rel .2
- require latest pam for mcserv

Revision 1.252  2007/03/28 17:09:38  baggins
- up to 2007-03-09-18
- updated patches

Revision 1.251  2007/03/23 14:00:49  wolvverine
- revert last commit

Revision 1.249  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.248  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.247  2006/12/17 21:12:59  areq
- typo

Revision 1.246  2006/11/07 21:11:13  glen
- C: bash < 2.05b according to qboosh

Revision 1.245  2006/11/07 20:54:23  glen
- i believe -bash-3.2.patch breaks elder bash?

Revision 1.244  2006/11/07 19:39:24  maciek2w
- fix bug #18136 overview: MC wont work with new bash-3.2 propeply with all
  directories
- patch from https://savannah.gnu.org/bugs/?18136 created by
  Andrey Skvortsov
- rel 2

Revision 1.243  2006/11/02 12:00:18  qboosh
- pl fixes

Revision 1.242  2006/10/07 13:23:43  qboosh
- more

Revision 1.241  2006/10/07 13:22:39  qboosh
- todo

Revision 1.240  2006/09/27 21:01:55  arekm
- updated (amc merged in some form (not everything); utf8 updated)

Revision 1.239  2006/07/31 09:59:49  shadzik
- rel++ for rebuild with new sed Requires

Revision 1.238  2006/07/31 09:38:07  shadzik
- R: sed (mc-wrapper.sh needs it)

Revision 1.237  2006/05/31 13:15:30  pluto
- vhdl syntax.

Revision 1.236  2006/05/24 08:17:17  gotar
- utf8 patch still broken, view/edit ignores LC_CTYPE

Revision 1.235  2006/05/11 18:12:03  arekm
- up to 20060510.21 snap

Revision 1.234  2006/03/24 11:18:44  sparky
- pass rpmcflags

Revision 1.233  2006/03/23 19:59:28  pluto
- modular xorg deps.

Revision 1.232  2006/03/05 19:13:00  arekm
- it's a 4.6.2 snapshot

Revision 1.231  2006/03/05 14:42:52  glen
- use %service, adapterize, cosmetics

Revision 1.230  2006/02/28 16:51:41  arekm
- updated to mc snap 2006.02.24.22

Revision 1.229  2006/01/18 21:58:26  arekm
- utf8 patches updated

Revision 1.228  2005/12/26 16:17:06  hawk
- release 5

Revision 1.227  2005/12/19 19:56:39  qboosh
- no need to specify default attr

Revision 1.226  2005/12/16 07:56:05  pluto
- highlight more c++ headers.

Revision 1.225  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.224  2005/11/05 00:21:23  gotar
- disabled utf stuff by default (broken editing), release 4, STBR

Revision 1.223  2005/10/18 12:49:28  arekm
- apply only when utf8 is enabled

Revision 1.222  2005/10/18 06:38:33  arekm
- add hack to show iso8859-2 in view in nonunicode locale

Revision 1.221  2005/10/15 12:32:48  arekm
- memory leak fixes in utf8 patch

Revision 1.220  2005/10/03 06:09:59  qboosh
- slang epoch

Revision 1.219  2005/09/19 22:01:56  arekm
- rel 3; use utf8 patch from fc; apply some fixes from fc (64bit stat; fish update; ftp crash fix...)

Revision 1.218  2005/09/19 20:45:11  arekm
- slang2 support; utf8 enabled by default

Revision 1.217  2005/08/07 09:56:15  pascalek
- Release 1
- updated pl patch
- STBR

Revision 1.216  2005/08/06 22:46:16  pascalek
- fixed my md5sum mistake

Revision 1.215  2005/08/06 22:40:20  pascalek
- Relase 0.10; utf8 patch for 4.6.1

Revision 1.214  2005/07/27 18:56:36  blues
- release 0.9 - builds, works now, only pl.patch left (not for me).

Revision 1.213  2005/07/26 11:47:06  arekm
- final 4.6.1

Revision 1.212  2005/06/13 13:12:14  blues
- most of patches updated, 2 left

Revision 1.211  2005/06/13 10:04:56  blues
- tempfile.patch inculded into sources

Revision 1.210  2005/06/10 15:13:17  blues
- part of patches updated

Revision 1.209  2005/06/10 14:23:33  blues
- 4.6.1pre4 - only fetch sources

Revision 1.208  2005/06/10 13:26:23  blues
- fixed amc-1.patch. Works now

Revision 1.207  2005/06/10 10:35:05  blues
- updated amc-1 patch

Revision 1.206  2004/12/15 12:25:10  qrczak
- Added /usr/share/mc/mc.charsets which has appeared in mc

Revision 1.205  2004/10/29 08:17:37  paladine
- "FTP" unification

Revision 1.204  2004/10/24 12:07:59  paladine
- ftp->FTP

Revision 1.203  2004/09/13 09:02:46  gotar
- enabled support for charset selection and conversion

Revision 1.202  2004/07/23 19:01:37  qboosh
- added nolibs patch

Revision 1.201  2004/06/20 21:36:53  arekm
- fix specflags (quotation here is buggy)

Revision 1.200  2004/06/06 22:14:22  arekm
- 4.6.1 pre1 (warns when running mc in mc; XFree libs are dlopened; uses pipes instead of sockets); nfy

Revision 1.199  2004/04/29 08:57:57  adgor
- No 755 for /etc/shrc.d/*

Revision 1.198  2004/04/28 11:46:06  havner
- R: setup >= 2.4.6-2
- mc.sh,mc.csh -> /etc/shrc.d

Revision 1.197  2004/04/23 09:24:22  qboosh
- removed BR popt-devel

Revision 1.196  2004/04/23 09:23:07  qboosh
- removed system_popt patch (no longer possible, mc uses modified popt;
  testcase: mc --help)
- renumbered patches, release 19

Revision 1.195  2004/04/04 23:14:38  gotar
- removed other kloczkish fuckup

Revision 1.194  2004/03/26 09:37:24  gotar
- release 18 to rebuild with fixed mc.ext patch

Revision 1.193  2004/02/11 03:19:05  pzurowski
- mc-pld-developerfriendly.patch added - some visual improvments (maybe there will be more in future)

Revision 1.192  2004/02/06 20:37:30  pzurowski
- without bcond "perl_vfs" added - to avoid perl autoreq

Revision 1.191  2004/02/02 15:04:39  qboosh
- added CAN-2003-1023 (BTS#815) and tempfile security patches
- added localenames patch, rename no->nb
- release 17

Revision 1.190  2004/01/30 23:43:35  arekm
- use posix sort/head syntax; rel 16

Revision 1.189  2004/01/27 14:23:51  jajcus
- %install fixes

Revision 1.188  2004/01/19 13:45:51  gotar
- updated sequences patch, release 14

Revision 1.187  2003/11/21 23:30:37  baggins
- release 13
- kosher mc-mo patch, made it a config option

Revision 1.186  2003/11/21 20:07:32  baggins
- release 12
- mo patch back to good old behaviour

Revision 1.185  2003/10/15 10:13:04  qboosh
- don't use distfiles for plain text files (amc changelogs)

Revision 1.184  2003/10/10 05:54:36  witekfl
- added home_etc2.patch with support for $HOME_ETC
- Release 11

Revision 1.183  2003/09/27 07:12:51  gotar
- rel. 10 for fixed mo patch

Revision 1.182  2003/09/26 14:23:27  baggins
- release 9

Revision 1.181  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.180  2003/09/09 17:41:21  baggins
- release 8
- mc-mo patch is back, this time alt-o works as in old versions before
  maintainers screwed it with a little help from mmazur

Revision 1.179  2003/09/07 19:39:13  gotar
- added more xterm sequences,
- release 7.

Revision 1.178  2003/09/07 18:53:17  gotar
- fixed desktopdir location

Revision 1.177  2003/09/07 18:30:26  gotar
- fixed ja description of mcserv subpackage

Revision 1.176  2003/09/06 21:18:26  adgor
- Desktop file moved to %{_desktopdir}

Revision 1.175  2003/08/01 08:42:46  gotar
- fixed bashism in audiofs,
- release 6.

Revision 1.174  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.173  2003/06/28 19:36:24  gotar
- -fomit-frame-pointer on ia32

Revision 1.172  2003/06/25 19:41:49  gotar
- BR: rpm-perlprov

Revision 1.171  2003/06/25 16:48:15  gotar
- fixed building

Revision 1.170  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.169  2003/05/28 12:59:42  malekith
- massive attack: source-md5

Revision 1.168  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.167  2003/05/25 05:50:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.166  2003/05/02 13:15:56  gotar
- BR: pkgconfig

Revision 1.165  2003/04/27 23:30:16  kloczek
- relase 5: more fixes in mc.ext patch for correct handle spaces in file names
  and final fixes for correct view patches on F3.
